## org.metaabm.gen.test
Class BasicMovementAgent

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          org.metaabm.gen.test.BasicMovementAgent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Location, Node, HasName, RandomFunctions

    public class BasicMovementAgent

extends CellOccupant

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`BasicMovementAgent()` Constructs a new Basic Movement Agent.

Method Summary
`void` `andWithAndGoal()` .
`void` `andWithOrGoal()` .
`java.lang.Object` `clone()` Clones the agent, ensuring that a unique id is assigned.
`void` `createUniqueID()`
`void` `dummy()`
`BasicMovementModel` `getBasicMovementModel()`
`java.awt.Color` `getColor()` This agent's default color, used by many simple views.
`java.lang.String` `getName()` A name this object may be referred to by.
`java.util.List` `getNetwork()` Returns some network of related cells.
`java.lang.String` `getUID()`
`int` `getVision()` Gets the Vision property for Basic Movement Agent.
`boolean` `isMovingTowardGoal()` Gets the Moving Toward Goal property for Basic Movement Agent.
`boolean` `isSuccess()` Gets the Success property for Basic Movement Agent.
`void` `moveToAvailableNeighbor()` .
`void` `moveToGoalWithin()` .
`void` `moveToNearestGoal()` .
`void` `moveToNeighbor()` .
`void` `moveToRandomAvailable()` .
`void` `moveToRandomNoAvailableCheck()` .
`void` `moveTowardNearestAgent()` .
`void` `moveTowardNearestGoal()` .
`void` `moveTwice()` .
`void` `moveWithEvaluate()` .
`void` `setConditionNeighbor()` .
`void` `setConditionStateAgentNeighbor()` .
`void` `setMovingTowardGoal(boolean _movingTowardGoal)` Sets the Moving Toward Goal property for Basic Movement Agent.
`void` `setRandomNeighborValue()` .
`void` `setSuccess(boolean _success)` Sets the Success property for Basic Movement Agent.
`void` `setVision(int _vision)` Sets the Vision property for Basic Movement Agent.

Methods inherited from class org.ascape.model.CellOccupant

`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getOccupant, hostedCondition, initialize, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant, toString`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getImage, getImage, getIteration, getPlatformColor, getRoot, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### BasicMovementAgent

    public BasicMovementAgent()

  Constructs a new Basic Movement Agent.

Method Detail

### getUID

    public java.lang.String getUID()

### createUniqueID

    public void createUniqueID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `CellOccupant`
  Returns:
    the object

### dummy

    public void dummy()

### getBasicMovementModel

    public BasicMovementModel getBasicMovementModel()

### getNetwork

    public java.util.List getNetwork()

  Description copied from class: `Cell`
  Returns some network of related cells. The network itself is implementation specific.

  Overrides:
    `getNetwork` in class `Cell`

### getColor

    public java.awt.Color getColor()

  Description copied from class: `Agent`
  This agent's default color, used by many simple views. Black is default; override to provide an appropriate color.

  Overrides:
    `getColor` in class `Agent`

### moveToRandomAvailable

    public void moveToRandomAvailable()

  .

### moveToRandomNoAvailableCheck

    public void moveToRandomNoAvailableCheck()

  .

### moveToNeighbor

    public void moveToNeighbor()

  .

### moveToAvailableNeighbor

    public void moveToAvailableNeighbor()

  .

### moveToNearestGoal

    public void moveToNearestGoal()

  .

### moveTowardNearestAgent

    public void moveTowardNearestAgent()

  .

### moveTowardNearestGoal

    public void moveTowardNearestGoal()

  .

### moveWithEvaluate

    public void moveWithEvaluate()

  .

### moveTwice

    public void moveTwice()

  .

### andWithOrGoal

    public void andWithOrGoal()

  .

### andWithAndGoal

    public void andWithAndGoal()

  .

### moveToGoalWithin

    public void moveToGoalWithin()

  .

### setConditionNeighbor

    public void setConditionNeighbor()

  .

### setConditionStateAgentNeighbor

    public void setConditionStateAgentNeighbor()

  .

### setRandomNeighborValue

    public void setRandomNeighborValue()

  .

### getVision

    public int getVision()

  Gets the Vision property for Basic Movement Agent.

  Returns:

### setVision

    public void setVision(int _vision)

  Sets the Vision property for Basic Movement Agent.

  Parameters:
    `_vision` - the new Vision value

### isMovingTowardGoal

    public boolean isMovingTowardGoal()

  Gets the Moving Toward Goal property for Basic Movement Agent.

  Returns:

### setMovingTowardGoal

    public void setMovingTowardGoal(boolean _movingTowardGoal)

  Sets the Moving Toward Goal property for Basic Movement Agent.

  Parameters:
    `_movingTowardGoal` - the new Moving Toward Goal value

### isSuccess

    public boolean isSuccess()

  Gets the Success property for Basic Movement Agent.

  Returns:

### setSuccess

    public void setSuccess(boolean _success)

  Sets the Success property for Basic Movement Agent.

  Parameters:
    `_success` - the new Success value

### getName

    public java.lang.String getName()

  Description copied from class: `AscapeObject`
  A name this object may be referred to by.

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `AscapeObject`